# GESImageSource

Outputs the video stream from a given file as a still frame. The frame chosen will be determined by the in-point property on the track element. For image files, do not set the in-point property.

## GESImageSource

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESTrackElement
                    ╰──GESSource
                        ╰──GESVideoSource
                            ╰──GESImageSource

### Class structure

#### GESImageSourceClass

##### Fields

`parent_class` (GESVideoSourceClass) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### GES.ImageSourceClass

##### Attributes

`parent_class` (GES.VideoSourceClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.ImageSourceClass

##### Attributes

`parent_class` (GES.VideoSourceClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.ImageSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.VideoSource
                            ╰──GES.ImageSource

## GES.ImageSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.VideoSource
                            ╰──GES.ImageSource

### Properties

#### uri

    “uri” gchar *

The location of the file/resource to use.

Flags : Read / Write / Construct Only

#### uri

    “uri” String

The location of the file/resource to use.

Flags : Read / Write / Construct Only

#### uri

    “self.props.uri” str

The location of the file/resource to use.

Flags : Read / Write / Construct Only

The results of the search are